llvm.org GIT mirror llvm / e649778
- Fix SUBVERSION string to handle x.x.x version number formats. - Add VERBOSE=1 flag. - Specify the LLVM_SUBMIT_VERSION when doing the "make install". The libLTO.dylib relies upon this flag during that time. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@58298 91177308-0d34-0410-b5e6-96231b3b80d8 Bill Wendling 12 years ago
1 changed file(s) with 6 addition(s) and 3 deletion(s). Raw diff Collapse all Expand all
8888 || exit 1
8989 fi
9090
91 SUBVERSION=`echo $RC_ProjectSourceVersion | sed -e 's/.*\.//'`
91 SUBVERSION=`echo $RC_ProjectSourceVersion | sed -e 's/[^.]*\.\([0-9]*\).*/\1/'`
9292
9393 if [ "x$SUBVERSION" != "x$RC_ProjectSourceVersion" ]; then
9494 LLVM_SUBMIT_SUBVERSION=`printf "%02d" $SUBVERSION`
137137 make $JOBS_FLAG $OPTIMIZE_OPTS UNIVERSAL=1 UNIVERSAL_ARCH="$TARGETS" \
138138 LLVM_SUBMIT_VERSION=$LLVM_SUBMIT_VERSION \
139139 LLVM_SUBMIT_SUBVERSION=$LLVM_SUBMIT_SUBVERSION \
140 CXXFLAGS="-DLLVM_VERSION_INFO='\" Apple Build #$LLVM_VERSION\"'"
140 CXXFLAGS="-DLLVM_VERSION_INFO='\" Apple Build #$LLVM_VERSION\"'" \
141 VERBOSE=1
141142
142143 if ! test $? == 0 ; then
143144 echo "error: LLVM 'make' failed!"
157158
158159 # Install the tree into the destination directory.
159160 make $LOCAL_MAKEFLAGS $OPTIMIZE_OPTS UNIVERSAL=1 UNIVERSAL_ARCH="$TARGETS" \
160 OPTIMIZE_OPTION='-O2' install
161 LLVM_SUBMIT_VERSION=$LLVM_SUBMIT_VERSION \
162 LLVM_SUBMIT_SUBVERSION=$LLVM_SUBMIT_SUBVERSION \
163 OPTIMIZE_OPTION='-O2' VERBOSE=1 install
161164
162165 if ! test $? == 0 ; then
163166 echo "error: LLVM 'make install' failed!"